Markets

Get the per-app UI config (disabled venues + categories)

GET
/app/config

Authorization

appId
headerx-app-id<token>

Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.

Response Body

200

application/json
  1. response
prophetxExecutionMode?string
Value in"clearinghouse""direct"
novigExecutionMode?string
Value in"clearinghouse""direct"
disabledVenues*array<>
disabledCategoryPresets*array<string>
earlyAccessEnabled*boolean
authOptions*array<>
tradingMode*string
Value in"live""paper"
paperStartingBalance*number
Example Request
curl -X GET 'https://api.t.sufwankhalid.com/app/config'
Example Response
{  "prophetxExecutionMode": "clearinghouse",  "novigExecutionMode": "clearinghouse",  "disabledVenues": [    "kalshi"  ],  "disabledCategoryPresets": [    "string"  ],  "earlyAccessEnabled": true,  "authOptions": [    {      "provider": "google",      "type": "oauth",      "enabled": true,      "callbackUrl": "string",      "statement": "string"    }  ],  "tradingMode": "live",  "paperStartingBalance": 0}